aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Willmann <dwillmann@sysmocom.de>2019-06-19 12:01:50 +0200
committerdaniel <dwillmann@sysmocom.de>2019-06-19 12:43:02 +0000
commit76791d20f5f2824753dbff53b4de1155c96aab40 (patch)
tree68d29126f9f043b51d33b43877d9fb465c69f673
parent6d7320528008347794fe802b43d9ecb260b5f307 (diff)
manuals: Add script to regenerate vty/counter documentation
-rw-r--r--doc/manuals/Makefile.am1
-rwxr-xr-xdoc/manuals/regen_doc.sh17
2 files changed, 18 insertions, 0 deletions
diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 96675ec..a29b48f 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -3,6 +3,7 @@ EXTRA_DIST = osmopcu-gb.adoc \
osmopcu-usermanual.adoc \
osmopcu-usermanual-docinfo.xml \
osmopcu-vty-reference.xml \
+ regen_doc.sh \
chapters \
gb \
vty
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..aae5566
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+ echo "You need to set DOCKER_PLAYGROUND"
+ exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_PCU_BRANCH=$COMMIT ./regen_doc.sh osmo-pcu 4240 \
+ "$MANUAL_DIR/chapters/counters_generated.adoc" \
+ "$MANUAL_DIR/vty/osmo-pcu_vty_reference.xml"